libosmodsp UNKNOWN Osmocom DSP library

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
cxvec.h File Reference
Complex vectors

Osmocom Complex vectors header. More...

Go to the source code of this file.

## Data Structures
struct | osmo_cxvec
| Complex vector. More...

## Functions
void | osmo_cxvec_init_from_data (struct osmo_cxvec *cv, float complex *data, int len)
| Initialize a vector structure with a given data array. More...
struct osmo_cxvec * | osmo_cxvec_alloc_from_data (float complex *data, int len)
| Allocate a complex vector referencing a given data array. More...
struct osmo_cxvec * | osmo_cxvec_alloc (int max_len)
| Allocate a complex vector of a given maximum length. More...
void | osmo_cxvec_free (struct osmo_cxvec *cv)
| Free a complex vector (and possibly associated data) More...
void | osmo_cxvec_dbg_dump (struct osmo_cxvec *cv, const char *fname)
| Save the data contained of a vector into a .cfile for debug. More...

## Detailed Description

Osmocom Complex vectors header.